Skip to main content
GET
How much of each part went out per month.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
part_id
string
part_number
string
part_name
string
warehouse_id
string
warehouse_code
string
period_start
string
period_end
string
quantity_consumed
string
planned_quantity
string
unplanned_quantity
string
planned_share
string
issue_count
string
asset_count
string
consumption_cost
string
computed_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_count
integer<integer>
computed_at
string<timestamp with time zone>
consumption_cost
number<numeric>
id
string<uuid>

Note: This is a Primary Key.

issue_count
integer<integer>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
period_end
string<date>
period_start
string<date>
planned_quantity
number<numeric>
planned_share
number<numeric>
quantity_consumed
number<numeric>
unplanned_quantity
number<numeric>
warehouse_code
string<character varying>
Maximum string length: 60
warehouse_id
string<uuid>

Note: This is a Foreign Key to warehouse_settings.id.